/**
*Samba App
* Defined an App to manage unas samba service
*/
var SambaApp = SambaApp || {};  //Define Samba App namespace.
/**
*Constructor UNAS App
*/
SambaApp.App = function () {
    this.id = 'Samba Service';
    this.name = 'Samba Service';
    this.version = '6.0.48';
    this.active = false;
    this.menuIcon = '/apps/samba/images/logo.png?v=6.0.48&';
    this.shortcutIcon = '/apps/samba/images/logo.png?v=6.0.48&';
    this.entryUrl = '/apps/samba/samba.html?v=6.0.48&';
    //this.entryHelpUrl = '/apps/samba/samba_help.html?v=6.0.48&';
    var self = this;
    this.SambaAppWindow = function () {
    	if(UNAS.CheckAppState('Samba Service')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'SambaAppWindow',
            title: UNAS._('Samba Service'),
            icon: '/apps/samba/images/logo_small.png?v=6.0.48&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/samba/samba.html?v=6.0.48&',
            require: {  css: ['/apps/samba/css/samba.css?v=6.0.48&'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Samba Service",'SambaAppWindow')}
     	});
    };
    this.SambaUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Samba Service');
    	UNAS.RemoveMenu('Samba Service');
    	UNAS.RemoveAppFromGroups('Samba Service', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Samba Service', 'Help');
    	UNAS.RemoveAppFromApps('Samba Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'Samba Service', '', this.SambaAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Samba Service', this.SambaAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Network", "Location" : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : "Network", "Location" : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Samba Service', UNAS._('Samba Service')); //translate menu
        UNAS.SetShortcutTitle('Samba Service', UNAS._('Samba Service'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SambaAppWindow', UNAS._('Samba Service'));
        }
    };
    UNAS.LoadTranslation('/apps/samba/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SambaAppWindow, this.SambaUninstall);
};

new SambaApp.App();
